package com.fp.armas.portal.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * The primary key class for the TCUSTPERSONPHONE database table.
 * 
 */
@Embeddable
public class TcustpersonphonePK implements Serializable {
	//default serial version id, required for serializable classes.
	private static final long serialVersionUID = 1L;

	@Column
	private long personcode;

	@Temporal(TemporalType.TIMESTAMP)
	private java.util.Date dateto;

	private long phonesequence;

	public TcustpersonphonePK() {
	}
	
	public TcustpersonphonePK(long personcode, Date dateto, long phonesequence) {
		super();
		this.personcode = personcode;
		this.dateto = dateto;
		this.phonesequence = phonesequence;
	}

	public long getPersoncode() {
		return this.personcode;
	}
	public void setPersoncode(long personcode) {
		this.personcode = personcode;
	}
	public java.util.Date getDateto() {
		return this.dateto;
	}
	public void setDateto(java.util.Date dateto) {
		this.dateto = dateto;
	}
	public long getPhonesequence() {
		return this.phonesequence;
	}
	public void setPhonesequence(long phonesequence) {
		this.phonesequence = phonesequence;
	}

	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof TcustpersonphonePK)) {
			return false;
		}
		TcustpersonphonePK castOther = (TcustpersonphonePK)other;
		return 
			(this.personcode == castOther.personcode)
			&& this.dateto.equals(castOther.dateto)
			&& (this.phonesequence == castOther.phonesequence);
	}

	public int hashCode() {
		final int prime = 31;
		int hash = 17;
		hash = hash * prime + ((int) (this.personcode ^ (this.personcode >>> 32)));
		hash = hash * prime + this.dateto.hashCode();
		hash = hash * prime + ((int) (this.phonesequence ^ (this.phonesequence >>> 32)));
		
		return hash;
	}
}